Download it now!
Bug 46807 - FORMATTING: The Shekel sign is in right side of number (RTL UI)
Summary: FORMATTING: The Shekel sign is in right side of number (RTL UI)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA target:4.0.0 target:3.6.4
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-01 00:29 UTC by Amiad
Modified: 2012-11-12 20:33 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
test document (7.78 KB, application/vnd.sun.xml.calc)
2012-10-18 22:36 UTC, Lior Kaplan
Details
How the test document looks with RTL interface (60.13 KB, image/png)
2012-10-18 22:38 UTC, Lior Kaplan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Amiad 2012-03-01 00:29:47 UTC
If I set cell to coin with Shekel sign then the sign is place in right side of number (14 ₪) but its need to be in left side (₪ 14).

Platform: Ubuntu 11.10, Gnome 3.2.1
Comment 1 Arturas Norkus 2012-03-15 03:12:18 UTC
I can not reproduce this issue on WindowsXP 64bit with English (USA) language (LibreOffice 3.5.0rc3). On properties currency format for ILS Hebrew format code displayed as "[$₪-40D] #,##0.00;[RED][$₪-40D] -#,##0.00" (on cell values displayed as "₪ 14"). Please correct me if I use wrong format.
Comment 2 Lior Kaplan 2012-03-16 05:21:35 UTC
I can confirm the issue on LibO 3.5.0 on Debian GNU/Linux. The problem occurs only when using a right-to-left interface and doesn't happen with the left-to-right interface.
Comment 3 Lior Kaplan 2012-10-18 22:36:41 UTC
Created attachment 68768 [details]
test document
Comment 4 Lior Kaplan 2012-10-18 22:38:20 UTC
Created attachment 68769 [details]
How the test document looks with RTL interface
Comment 5 Lior Kaplan 2012-10-31 20:44:00 UTC
A workaround which I'm not sure is the right solution would be to add an LRM before the ₪ sign making it behave like the dollar sign.
Comment 6 Not Assigned 2012-11-12 13:40:48 UTC
Lior Kaplan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dcbf9238ba3354aafbcbfa0c15980587cf31fe96

fdo#46807: Add LRM before Shekel sign, forcing it to appear left of numbers



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Not Assigned 2012-11-12 20:33:01 UTC
Lior Kaplan committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=680b58efa54d5c5b773a7c2d57b3a27453c6a5a2&g=libreoffice-3-6

fdo#46807: Add LRM before Shekel sign, forcing it to appear left of numbers


It will be available in LibreOffice 3.6.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.